- Aldebaran documentation |
- C++ Libraries |
- index

libalcommon 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Protected Attributes | List of all members
AL::detail::ALProcessSignals Class Reference

`#include <almodule.h>`

## Public Types
typedef boost::signals2::signal< void()> | ProcessSignal
typedef boost::signals2::signal< void()> ::slot_function_type | ProcessSignalSlot
typedef boost::signals2::connect_position | ProcessSignalPosition
typedef boost::signals2::connection | ProcessSignalConnection

## Public Member Functions
| ALProcessSignals ()
virtual | ~ALProcessSignals ()
ProcessSignalConnection | atPreProcess (ProcessSignalSlot subscriber, ProcessSignalPosition pos=boost::signals2::at_back)
ProcessSignalConnection | atPostProcess (ProcessSignalSlot subscriber, ProcessSignalPosition pos=boost::signals2::at_back)
| Connect to the postProcess signal. More...
void | removeAllPreProcess (void)
void | removeAllPostProcess (void)
void | preProcess (void)
| Trigger methods attached to preProcess. More...
void | postProcess (void)
| Trigger methods attached to postProcess. More...

## Protected Attributes
ProcessSignal | fPreProcess
ProcessSignal | fPostProcess

## Detailed Description

Definition at line 29 of file almodule.h.

## Member Typedef Documentation

typedef boost::signals2::signal<void ()> AL::detail::ALProcessSignals::ProcessSignal

Definition at line 35 of file almodule.h.

typedef boost::signals2::connection AL::detail::ALProcessSignals::ProcessSignalConnection

Definition at line 38 of file almodule.h.

typedef boost::signals2::connect_position AL::detail::ALProcessSignals::ProcessSignalPosition

Definition at line 37 of file almodule.h.

typedef boost::signals2::signal<void ()>::slot_function_type AL::detail::ALProcessSignals::ProcessSignalSlot

Definition at line 36 of file almodule.h.

## Constructor & Destructor Documentation

AL::detail::ALProcessSignals::ALProcessSignals | ( |  | ) |
| inline

Definition at line 32 of file almodule.h.

virtual AL::detail::ALProcessSignals::~ALProcessSignals | ( |  | ) |
| inline virtual

Definition at line 33 of file almodule.h.

## Member Function Documentation

ProcessSignalConnection AL::detail::ALProcessSignals::atPostProcess | ( | ProcessSignalSlot | subscriber,
|  | ProcessSignalPosition | pos = `boost::signals2::at_back`
| ) |  |
| inline

Connect to the postProcess signal.

Definition at line 51 of file almodule.h.

ProcessSignalConnection AL::detail::ALProcessSignals::atPreProcess | ( | ProcessSignalSlot | subscriber,
|  | ProcessSignalPosition | pos = `boost::signals2::at_back`
| ) |  |
| inline

Connect to the preProcess signal

Definition at line 43 of file almodule.h.

void AL::detail::ALProcessSignals::postProcess | ( | void |  | ) |
| inline

Trigger methods attached to postProcess.

Definition at line 72 of file almodule.h.

void AL::detail::ALProcessSignals::preProcess | ( | void |  | ) |
| inline

Trigger methods attached to preProcess.

Definition at line 67 of file almodule.h.

void AL::detail::ALProcessSignals::removeAllPostProcess | ( | void |  | ) |
| inline

Definition at line 62 of file almodule.h.

void AL::detail::ALProcessSignals::removeAllPreProcess | ( | void |  | ) |
| inline

Definition at line 58 of file almodule.h.

## Member Data Documentation

ProcessSignal AL::detail::ALProcessSignals::fPostProcess
| protected

Definition at line 78 of file almodule.h.

ProcessSignal AL::detail::ALProcessSignals::fPreProcess
| protected

Definition at line 77 of file almodule.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libnaoqi/libalcommon/alcommon/almodule.h